import * as React from "react";
import "./style.css";
export interface SearchProps {
    filterData: any;
    filters: any;
    removeFilter: any;
    textSearch: any;
    exportPDF: any;
    exportCSV: any;
    deleteAudits: any;
}
export default class Search extends React.Component<SearchProps, {}> {
    state: {
        searchTerm: string;
        showPanel: boolean;
        filterEnabled: boolean;
        filterName: string;
        filterText: string;
    };
    toggleFilter(filterKey: any, filterEnabled: any): void;
    createFilterObject(e: any): void;
    render(): JSX.Element;
}
